/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { WebGridBaseDirectiveDescription } from "./WebGridBaseDirectiveDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let WebPivotGridDescription = /*@__PURE__*/ (() => {
    class WebPivotGridDescription extends WebGridBaseDirectiveDescription {
        get_type() {
            return "WebPivotGrid";
        }
        constructor() {
            super();
            this.g1 = null;
            this.gn = null;
            this.gq = false;
            this.gr = false;
            this.gp = false;
            this.gv = null;
            this.gz = null;
            this.gx = null;
            this.g0 = null;
            this.gw = null;
            this.g2 = null;
            this.gy = null;
            this.g3 = null;
        }
        get valueChipTemplateRef() {
            return this.g1;
        }
        set valueChipTemplateRef(a) {
            this.g1 = a;
            this.g("ValueChipTemplateRef");
        }
        get pivotConfiguration() {
            return this.gn;
        }
        set pivotConfiguration(a) {
            this.gn = a;
            this.g("PivotConfiguration");
        }
        get showPivotConfigurationUI() {
            return this.gq;
        }
        set showPivotConfigurationUI(a) {
            this.gq = a;
            this.g("ShowPivotConfigurationUI");
        }
        get superCompactMode() {
            return this.gr;
        }
        set superCompactMode(a) {
            this.gr = a;
            this.g("SuperCompactMode");
        }
        get defaultExpandState() {
            return this.gp;
        }
        set defaultExpandState(a) {
            this.gp = a;
            this.g("DefaultExpandState");
        }
        get dataRef() {
            return this.gv;
        }
        set dataRef(a) {
            this.gv = a;
            this.g("DataRef");
        }
        get emptyPivotGridTemplateRef() {
            return this.gz;
        }
        set emptyPivotGridTemplateRef(a) {
            this.gz = a;
            this.g("EmptyPivotGridTemplateRef");
        }
        get dimensionsChangeRef() {
            return this.gx;
        }
        set dimensionsChangeRef(a) {
            this.gx = a;
            this.g("DimensionsChangeRef");
        }
        get pivotConfigurationChangeRef() {
            return this.g0;
        }
        set pivotConfigurationChangeRef(a) {
            this.g0 = a;
            this.g("PivotConfigurationChangeRef");
        }
        get dimensionInitRef() {
            return this.gw;
        }
        set dimensionInitRef(a) {
            this.gw = a;
            this.g("DimensionInitRef");
        }
        get valueInitRef() {
            return this.g2;
        }
        set valueInitRef(a) {
            this.g2 = a;
            this.g("ValueInitRef");
        }
        get dimensionsSortingExpressionsChangeRef() {
            return this.gy;
        }
        set dimensionsSortingExpressionsChangeRef(a) {
            this.gy = a;
            this.g("DimensionsSortingExpressionsChangeRef");
        }
        get valuesChangeRef() {
            return this.g3;
        }
        set valuesChangeRef(a) {
            this.g3 = a;
            this.g("ValuesChangeRef");
        }
    }
    WebPivotGridDescription.$t = /*@__PURE__*/ markType(WebPivotGridDescription, 'WebPivotGridDescription', WebGridBaseDirectiveDescription.$);
    return WebPivotGridDescription;
})();
